class CrocoGameScene : public Scene {
public:
// ctors
	explicit CrocoGameScene(int level);
// dtors
	~CrocoGameScene();
// methods
	virtual float timelimit() { return 3.5f + 0.3f; }
// callbacks
	virtual void tick();
	virtual void draw(Painter &p);
	virtual void button(enum MouseButton btn, Point curpos, bool isdown);
	//virtual void drag(enum MouseButton btn, Point curpos);
	//virtual void hover(Point curpos);
private:
// variables
	bool m_teethstate[4];
	bool m_complete;
	bool m_wink;
	bool m_ticked;

	PWAVEDATA m_bgm;
	PWAVEDATA m_bite;
	PWAVEDATA m_switch;
};

class CrocoGameSceneBuilder : public SceneBuilder {
public:
// override methods
	virtual LPCWSTR sceneName() { return L"かぶりつかせろ!"; }
	virtual Scene *newScene(int level) { return new CrocoGameScene(level); }
	virtual bool isDevScene() { return false; }
};
