class EndrollScene : public Scene {
public:
// ctors
	explicit EndrollScene(int level);
// dtor
	virtual ~EndrollScene();
// override methods
	virtual float timelimit() { return 0.0f; /* 0.0f = None */ }
// callbacks
	virtual void tick();
	virtual void draw(Painter &p);
	//virtual void button(enum MouseButton btn, Point curpos, bool isdown);
	//virtual void drag(enum MouseButton btn, Point curpos);
	//virtual void hover(Point curpos);
private:
// variables
	bool m_ticked;

	PWAVEDATA m_wbgm;
};

class EndrollSceneBuilder : public SceneBuilder {
public:
// override methods
	virtual LPCWSTR sceneName() { return L"Endroll"; }
	virtual Scene *newScene(int level) { return new EndrollScene(level); }
	virtual bool isDevScene() { return true; }
};
