class SheepCountGameScene : public Scene {
public:
// ctors
	explicit SheepCountGameScene(int level);
	virtual ~SheepCountGameScene();
// callbacks
	virtual void tick();
	virtual void draw(Painter &p);
	virtual void button(enum MouseButton btn, Point curpos, bool isdown);
private:
// variables
	int m_sheepx;
	int m_sheepy;
	float m_sheepvy;
	bool m_sheepbad;
	int m_sakux;

	int m_sheepvx;
	float m_sheepjumpvy;
	float m_sheepfallay;

	Point m_cloud[3];
	int m_cloudspeed[3];

	float m_baatime;

	PWAVEDATA m_boing;
	PWAVEDATA m_crash;
	PWAVEDATA m_baa;
};

class SheepCountGameSceneBuilder : public SceneBuilder {
public:
// override methods
	virtual LPCWSTR sceneName() { return L"ひつじジャンプ!"; }
	virtual Scene *newScene(int level) { return new SheepCountGameScene(level); }
	virtual bool isDevScene() { return false; }
};
