class TemplateScene : public Scene {
public:
// ctors
	explicit TemplateScene(int level);
// dtor
	//virtual ~TemplateScene();
// override methods
	virtual float timelimit() { return 0.0f; /* 0.0f = None */ }
// callbacks
	//virtual void tick();
	virtual void draw(Painter &p);
	virtual void button(enum MouseButton btn, Point curpos, bool isdown);
	//virtual void drag(enum MouseButton btn, Point curpos);
	//virtual void hover(Point curpos);
private:
// variables
};

class TemplateSceneBuilder : public SceneBuilder {
public:
// override methods
	virtual LPCWSTR sceneName() { return L"TEMPLATE SCENE"; }
	virtual Scene *newScene(int level) { return new TemplateScene(level); }
	virtual bool isDevScene() { return true; }
};
