class TitleScene : public Scene {
public:
// ctors
	explicit TitleScene(int level);
// dtor
	virtual ~TitleScene();
// override methods
	virtual float timelimit() { return 0.0f; /* 0.0f = None */ }
// callbacks
	virtual void tick();
	virtual void draw(Painter &p);
	virtual void button(enum MouseButton btn, Point curpos, bool isdown);
	//virtual void drag(enum MouseButton btn, Point curpos);
	//virtual void hover(Point curpos);
private:
// variables
	bool m_ticked;
	float m_acceptedsec;

	PWAVEDATA m_wbgm;
	PWAVEDATA m_wclick;
};

class TitleSceneBuilder : public SceneBuilder {
public:
// override methods
	virtual LPCWSTR sceneName() { return L"Title"; }
	virtual Scene *newScene(int level) { return new TitleScene(level); }
	virtual bool isDevScene() { return true; }
};
