#include <tchar.h>
#include <windows.h>
//#include <windowsx.h> // for Message Cracker
//#include <stdarg.h> // for debug()
#include <stdio.h> // TODO: use istream/ostream?
//#include <utility> // for std::pair
#include <vector>
#include <map>
//#include <iterator>
#include "support.h"
#include "zipfs/zipfs.h"
//#include "resource.h"

#include "Painter.h"
#include "FontGlyph.h"

#include "Globals.h"

#include "Scene.h"
#include "MainWindow.h"


int eventloop() {
	int ret;
	MSG msg;

	while((ret = GetMessage(&msg, NULL, 0, 0)) != 0) {
		TranslateMessage(&msg);
		DispatchMessage(&msg);
	}

	if(ret < 0)
		return -1;

	return msg.wParam;
}

// TODO: MinGW does not support unicode build for "WinMain", use ANSI version here...
extern "C" int WINAPI WinMain(HINSTANCE hInst, HINSTANCE, LPSTR lpcmd, int nShowCmd) {
	g_hInst = hInst;
	srand(GetTickCount()); // Yes, use tick :)

	MainWindow mw;
	mw.create(nShowCmd);

	return eventloop();
}
