class BannerScene : public Scene {
public:
// ctors
	explicit BannerScene(int level);
// dtor
	virtual ~BannerScene();
// override methods
	virtual float timelimit() { return 0.0f; /* 0.0f = None */ }
// callbacks
	virtual void tick();
	virtual void draw(Painter &p);
	virtual void button(enum MouseButton btn, Point curpos, bool isdown);
	//virtual void drag(enum MouseButton btn, Point curpos);
	//virtual void hover(Point curpos);
private:
// variables
	bool m_ticked;
	float m_presec;
	float m_ponsec;

	PWAVEDATA m_wiyo;
	PWAVEDATA m_wpon;
};

class BannerSceneBuilder : public SceneBuilder {
public:
// override methods
	virtual LPCWSTR sceneName() { return L"Banner"; }
	virtual Scene *newScene(int level) { return new BannerScene(level); }
	virtual bool isDevScene() { return true; }
};
