class MainWindow {
public:
// ctors
	explicit MainWindow() {
		m_scene = NULL;
	}
// methods
	void create(int nShowCmd);
// callbacks
	LRESULT CALLBACK windowProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam);
	// special callback!
	static LRESULT CALLBACK _windowProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam);
private:
// variables
	HWND m_hWnd;
	Point m_curpos;

	Scene *m_scene;
// message handlers
	void onClose(HWND hWnd);
	void onSize(HWND hWnd, WPARAM nType, int width, int height);
	void onPaint(HWND hWnd);
	void onMousemove(HWND hWnd, int x, int y, UINT keys);
	void onLbuttondown(HWND hWnd, BOOL isdouble, int x, int y, UINT keys);
	void onLbuttonup(HWND hWnd, int x, int y, UINT keys);
	void onTimer(HWND hWnd, int nIDEvent);
	void onRbuttondown(HWND hWnd, BOOL isdouble, int x, int y, UINT keys);
	void onRbuttonup(HWND hWnd, int x, int y, UINT keys);
	void onKey(HWND hWnd, UINT vk, BOOL isdown, int rptcnt, UINT states);
	void onChar(HWND hWnd, TCHAR ch, int rptcnt);
	void onMbuttondown(HWND hWnd, BOOL isdouble, int x, int y, UINT keys);
	void onMbuttonup(HWND hWnd, int x, int y, UINT keys);
	void onMousewheel(HWND hWnd, USHORT vk, int delta, int x, int y);
// internal functions
	Point xy2rip(int x, int y);
};
