class ToothbrushGameScene : public Scene {
public:
// ctors
	explicit ToothbrushGameScene(int level);
// dtor
	virtual ~ToothbrushGameScene();
// override methods
	virtual float timelimit() { return 3.0f; /* 0.0f = None */ }
// callbacks
	//virtual void tick();
	virtual void draw(Painter &p);
	virtual void button(enum MouseButton btn, Point curpos, bool isdown);
	virtual void drag(enum MouseButton btn, Point curpos);
	//virtual void hover(Point curpos);
private:
// variables
	int m_plaque;
	int m_brushx;
	Point m_precurpos;
	float m_lastmove;
	int m_lastmovesgn;
	float m_completesec;

	PWAVEDATA m_wbrush1;
	PWAVEDATA m_wbrush2;
	PWAVEDATA m_wclean;
};

class ToothbrushGameSceneBuilder : public SceneBuilder {
public:
// override methods
	virtual LPCWSTR sceneName() { return L"はみがき!"; }
	virtual Scene *newScene(int level) { return new ToothbrushGameScene(level); }
	virtual bool isDevScene() { return false; }
};
