#include <windows.h>
#ifdef ZIPFS_SDLMIXER
#include <sdl_mixer.h>
#endif
#ifdef ZIPFS_GL
#include <GL/glpngx.h>
#endif
#include "unzip.h"

#ifdef __cplusplus
extern "C" {
#endif

BYTE *unzReadWhole(unzFile *zip, const char *fname, long *size);
#ifdef ZIPFS_SDLMIXER
Mix_Chunk *Mix_LoadWAVfromzip(unzFile *zip, const char *fname);
#endif
#ifdef ZIPFS_GL
unsigned int pngBindfromzip(unzFile *zip, const char *fname, int mipmap, int trans, pngInfo *info, int wrapst, int minfilter, int magfilter);
#endif
unzFile *openres(void);
void closeres(unzFile *zip);

#ifdef __cplusplus
}
#endif
